Bug 230724 - raw confusing when users try to bind /dev/raw/raw0
raw confusing when users try to bind /dev/raw/raw0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-02 09:58 EST by Bryn M. Reeves
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0785
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
trivial patch to give an error when binding raw0 (421 bytes, patch)
2007-03-02 09:58 EST, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2007-03-02 09:58:42 EST
Description of problem:
/dev/raw/raw0 is char device major 162, minor 0, i.e. /dev/rawctl.

If a user attempts to bind this device udev will notice the new device & set up
a node for it. It also deletes /dev/rawctl at this point.

This is confusing for users. An error message indicating that raw0 should not be
bound is preferable.

Version-Release number of selected component (if applicable):
util-linux-2.12a-16.EL4.20

How reproducible:
100%

Steps to Reproduce:
1. raw /dev/raw/raw0 /dev/<something>
2. ls -l /dev/rawctl

  
Actual results:
ls: /dev/rawctl: No such file or directory

Expected results:
/dev/rawctl still exists or the user gets a warning/error

Additional info:
Comment 1 Bryn M. Reeves 2007-03-02 09:58:43 EST
Created attachment 149121 [details]
trivial patch to give an error when binding raw0
Comment 4 Karel Zak 2007-04-06 06:09:02 EDT
Yeah, this is already known issue (that has been fixed in RHEL5).
Comment 5 Bryn M. Reeves 2007-04-06 06:11:35 EDT
And this is a RHEL4 bug - changing flags
Comment 6 RHEL Product and Program Management 2007-05-09 03:01:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Bryn M. Reeves 2007-06-26 06:25:48 EDT
Seems like bug 218315 has addressed this at the kernel level (2.6.9-55.2).
Comment 11 Karel Zak 2007-07-31 05:54:10 EDT
Well, the bug has been fixed in kernel and also in raw(8).
Comment 15 errata-xmlrpc 2007-11-15 11:06:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0785.html

Note You need to log in before you can comment on or make changes to this bug.